<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.security-domain.realms">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="realm,principal-transformer,role-decoder,role-mapper"/>
        <elem name="complex-attribute" value="realms"/>
        <elem name="addr-params" value="profile,host,subsystem,security-domain"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.security-domain"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="security-domain"/>
        <param name="role-mapper" nillable="true"/>
        <param name="principal-transformer" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="role-decoder" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="realm"/>
    </params>
</feature-spec>